# blff

This is a tool that I wrote to extract necessary information from the Bethesda Launcher to allow successful QC authentication (so that QCLauncher can still be used). Currently, the necessary information is a unique hardware fingerprint that is generated by the Bethesda Launcher and verified by QC. Without this fingerprint, it is not possible to perform a successful QC authentication (Error 1501). The source code for this tool can be found [here](https://github.com/syncore/blff).

This directory contains the following files:

 - `build_blff_src.bat`: Windows batch file for downloading/extracting/building the blff source code (requires MSBuild or Visual Studio & golang)
 - `get_blff_src.go`: Go program that downloads and extracts the blff source code and supporting utilities
 - `get_blff_linux.sh`: Linux shell script for downloading compiled blff executables necessary to successfully build qclauncher (building the actual blff source requires MSBuild or VS and Windows)

The assumption is that you'll build with Visual Studio 2017 Enterprise. If you don't have VS2017 Enterprise, you will need to adjust the `msBuildDir` variable inside of `build_blff_src.bat`
and point it to your MSBuild directory that contains `MSBuild.exe`.

If you don't have MSBuild or Visual Studio, download Build Tools For Visual Studio 2017 at: https://visualstudio.microsoft.com/downloads/#build-tools-for-visual-studio-2017
Afterwards, adjust the `msBuildDir` variable inside of `build_blff_src.bat` to: `%programfiles(x86)%\Microsoft Visual Studio\2017\BuildTools\MSBuild\15.0\Bin`

If everything is successful, the resulting executables (that will be bundled as qclauncher assets) will be located in the `qclauncher\resources\bin\blff` directory.